/* wavout.c - output of parameters  */

#include <stdio.h>
#include "wavout.h"
#include "config.h"

/* just open the file */
void  open_raw_file (char *nameout) {
  fileout = fopen(nameout, "w");
  if (fileout == NULL) {
    fprintf (stderr, "problem opening output bin file `%s'\n", nameout); 
    exit (1); 
  }
  return ; 
}

/* write samples - does NOT check the amplitude  quite dangerous !  */
void write_samples (float *frame, int len) {
  static short sframe[WIN_LEN]; 
  int i; 

  /* convert */
  for (i=0; i<len; i++)
    sframe[i] = (short)(frame[i] * SHORT2FLOAT); 

  /* write */
  fwrite (sframe, sizeof(short), len, fileout);
  return ; 
}

/* close the raw file */
void close_raw_file(void) {
  fclose (fileout); 
  return ; 
}
