/* binin.c - input of parameters to decode */

#include <stdio.h>
#include <string.h>
#include "binin.h"
#include "config.h"

/* just open the file */
void  open_bin_file (char *namein) {
  filein = fopen(namein, "r");
  if (filein == NULL) {
    fprintf (stderr, "problem opening input bin file `%s'\n", namein); 
    exit (1); 
  }
}

/* get params for new frame 0 is returned if not full frame read, 1 if OK */
int new_frame (float * params) {
  int params_read; 
    params_read = fread (params , sizeof(float), LEN_PARAMS, filein);

    /* if not enough, just return 0 */
    if (params_read < LEN_PARAMS) 
      return (0);
    /* ok, has them all */
    return (1); 
}
  
/* closing the wav file ... really simple  */
void close_bin_file (void) {
  fclose (filein);
}

